Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(75)

Issue 10024052: [Harfbuzz] Fix OOB read in tibetan_form() (Closed)

Created:
6 years, 10 months ago by bashi
Modified:
6 years, 10 months ago
Reviewers:
agl, Evan Martin, behdad
CC:
chromium-reviews, inferno
Base URL:
http://git.chromium.org/chromium/src.git@master
Visibility:
Public.

Description

[Harfbuzz] Fix OOB read in tibetan_form() |c| should be smaller than 0x0fc0. BUG=chromium:122586 TEST=manual Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=131694

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -18 lines) Patch
M third_party/harfbuzz/README.chromium View 1 chunk +1 line, -1 line 0 comments Download
M third_party/harfbuzz/chromium.patch View 3 chunks +15 lines, -16 lines 0 comments Download
M third_party/harfbuzz/src/harfbuzz-tibetan.c View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 8 (0 generated)
bashi
Hi agl, evan, Sorry for asking review, but I couldn't find a reviewer for this ...
6 years, 10 months ago (2012-04-10 02:19:16 UTC) #1
agl
behdad is probably the right reviewer, but neither of us can reasonably review if we ...
6 years, 10 months ago (2012-04-10 15:09:50 UTC) #2
behdad_google
On 2012/04/10 15:09:50, agl wrote: > behdad is probably the right reviewer, but neither of ...
6 years, 10 months ago (2012-04-10 15:14:01 UTC) #3
bashi
agl@, evan@ -- Sorry, I forgot to add you in the cc list of the ...
6 years, 10 months ago (2012-04-10 23:18:30 UTC) #4
commit-bot: I haz the power
No LGTM from a valid reviewer yet. Only full committers are accepted. Even if an ...
6 years, 10 months ago (2012-04-10 23:18:39 UTC) #5
agl
lgtm
6 years, 10 months ago (2012-04-11 00:31:10 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bashi@chromium.org/10024052/1
6 years, 10 months ago (2012-04-11 00:31:25 UTC) #7
commit-bot: I haz the power
6 years, 10 months ago (2012-04-11 02:19:12 UTC) #8
Change committed as 131694

Powered by Google App Engine
This is Rietveld 408576698